package com.hzya.frame.plugin.lets.u8cdto;


import java.util.List;

/**
 * 出入库单实体
 * @Author zyd
 */
public class GeneralBillVO {
    private Parentvo parentvo;
    private List<Childrenvo> childrenvo;

    public static class Parentvo{
        /**
         * 单据号
         */
        private String vbillcode;

        /**
         * 库存单据类型编码
         */
        private String cbilltypecode;
        /**
         * 自动拣货标识
         */
        private String isautopick;//自动拣货标识
        /**
         * 公司ID
         */
        private String pk_corp;
        /**
         * 制单人
         */
        private String coperatorid;
        /**
         * 收发类别ID
         */
        private String cdispatcherid;
        /**
         * 仓库ID
         */
        private String cwarehouseid;
        /**
         * 库存组织PK
         */
        private String pk_calbody;
        /**
         * 备注
         */
        private String vnote;

        public String getVbillcode() {
            return vbillcode;
        }

        public void setVbillcode(String vbillcode) {
            this.vbillcode = vbillcode;
        }

        public String getCbilltypecode() {
            return cbilltypecode;
        }

        public void setCbilltypecode(String cbilltypecode) {
            this.cbilltypecode = cbilltypecode;
        }

        public String getPk_calbody() {
            return pk_calbody;
        }

        public void setPk_calbody(String pk_calbody) {
            this.pk_calbody = pk_calbody;
        }

        public String getIsautopick() {
            return isautopick;
        }

        public void setIsautopick(String isautopick) {
            this.isautopick = isautopick;
        }

        public String getPk_corp() {
            return pk_corp;
        }

        public void setPk_corp(String pk_corp) {
            this.pk_corp = pk_corp;
        }

        public String getCoperatorid() {
            return coperatorid;
        }

        public void setCoperatorid(String coperatorid) {
            this.coperatorid = coperatorid;
        }

        public String getCdispatcherid() {
            return cdispatcherid;
        }

        public void setCdispatcherid(String cdispatcherid) {
            this.cdispatcherid = cdispatcherid;
        }

        public String getCwarehouseid() {
            return cwarehouseid;
        }

        public void setCwarehouseid(String cwarehouseid) {
            this.cwarehouseid = cwarehouseid;
        }

        public String getVnote() {
            return vnote;
        }

        public void setVnote(String vnote) {
            this.vnote = vnote;
        }
    }
    public static class Childrenvo{
        /**
         * 存货ID
         */
        private String cinventoryid;
        /**
         * 行号
         */
        private String crowno;
        /**
         * 来源单据行号
         */
        private String vsourcerowno;
        /**
         * 来源单据号
         */
        private String vsourcebillcode;
        /**
         * 来源单据类型
         */
        private String csourcetype;
        /**
         * 来源单据表头id
         */
        private String csourcebillhid;
        /**
         * 出入库单其它来源单据行id
         */
        private String csourcebillbid;
        /**
         * 实出数量
         */
        private String noutnum;
        /**
         * 应出数量
         */
        private String nshouldoutnum;
        /**
         * 实入数量
         */
        private String ninnum;
        /**
         * 应入数量
         */
        private String nshouldinnum;
        /**
         * 批次号
         */
        private String vbatchcode;
        /**
         * 行备注
         */
        private String vnotebody;

        public String getNshouldinnum() {
            return nshouldinnum;
        }

        public void setNshouldinnum(String nshouldinnum) {
            this.nshouldinnum = nshouldinnum;
        }

        public String getCsourcebillhid() {
            return csourcebillhid;
        }

        public void setCsourcebillhid(String csourcebillhid) {
            this.csourcebillhid = csourcebillhid;
        }

        public String getCsourcebillbid() {
            return csourcebillbid;
        }

        public void setCsourcebillbid(String csourcebillbid) {
            this.csourcebillbid = csourcebillbid;
        }

        public String getVbatchcode() {
            return vbatchcode;
        }

        public void setVbatchcode(String vbatchcode) {
            this.vbatchcode = vbatchcode;
        }

        public String getNoutnum() {
            return noutnum;
        }

        public void setNoutnum(String noutnum) {
            this.noutnum = noutnum;
        }

        public String getCinventoryid() {
            return cinventoryid;
        }

        public String getCrowno() {
            return crowno;
        }

        public String getVsourcerowno() {
            return vsourcerowno;
        }

        public void setVsourcerowno(String vsourcerowno) {
            this.vsourcerowno = vsourcerowno;
        }

        public String getNinnum() {
            return ninnum;
        }

        public void setNinnum(String ninnum) {
            this.ninnum = ninnum;
        }

        public void setCrowno(String crowno) {
            this.crowno = crowno;

        }

        public void setCinventoryid(String cinventoryid) {
            this.cinventoryid = cinventoryid;
        }

        public String getVsourcebillcode() {
            return vsourcebillcode;
        }

        public void setVsourcebillcode(String vsourcebillcode) {
            this.vsourcebillcode = vsourcebillcode;
        }

        public String getCsourcetype() {
            return csourcetype;
        }

        public void setCsourcetype(String csourcetype) {
            this.csourcetype = csourcetype;
        }

        public String getNshouldoutnum() {
            return nshouldoutnum;
        }

        public void setNshouldoutnum(String nshouldoutnum) {
            this.nshouldoutnum = nshouldoutnum;
        }

        public String getVnotebody() {
            return vnotebody;
        }

        public void setVnotebody(String vnotebody) {
            this.vnotebody = vnotebody;
        }
    }

    public Parentvo getParentvo() {
        return parentvo;
    }

    public void setParentvo(Parentvo parentvo) {
        this.parentvo = parentvo;
    }

    public List<Childrenvo> getChildrenvo() {
        return childrenvo;
    }

    public void setChildrenvo(List<Childrenvo> childrenvo) {
        this.childrenvo = childrenvo;
    }
}
